[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [pkg-boost-devel] Should we have two versions of Boost in the archive?



On Sun, Mar 30, 2008 at 07:59:07PM +0000, Steve M. Robbins wrote:
> On Sun, Mar 30, 2008 at 07:38:14PM +0200, Pierre Habouzit wrote:
> > On Sun, Mar 30, 2008 at 05:22:45PM +0000, Steve M. Robbins wrote:
> > > The question is: whether to simply replace the existing version
> > > (1.34.1) as we have always done, or to have the old and new both
> > > available in the library?
> > 
> >   There should definitely be one only given that if I read the version
> > number correctly, 1.35 shouldn't be *that* disruptive wrt 1.34.1.
> 
> Unfortunately, this is not the case.  Boost is not guaranteeing ABI
> compatibility across releases, i.e. from 1.34 to 1.35.  So don't read
> this as "major.minor" in the traditional sense.  The SONAME has the
> complete version in the string; i.e. "1.34", "1.35".

  I *know* that, I obviously meant *API* disruptivity, that's why I
spoke about private rebuilds of its rdeps to evaluate the migration risk
factor in the first place :)


-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org

Attachment: pgpLMV_pkxOrV.pgp
Description: PGP signature


Reply to: